/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */
package org.jfox.ejb.meta;

import java.io.Serializable;

import org.w3c.dom.Node;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public abstract class Descriptor implements Serializable {
    protected String description = "";

    protected Descriptor() {

    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void processXML(Node node) throws EJBDescriptionException {
        setDescription(XmlUtil.getChildNodeValueOf(node, "description"));
    }

    public static void main(String[] args) {

    }
}

